- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Class

# FFMpeg\Format\Audio\DefaultAudio

abstract class DefaultAudio implements Resamplable, Interactive

The abstract default Audio format

## Methods

string | getExtraParams() Returns extra parameters for the encoding |
| getAudioCodec() {@inheritdoc} |
| setAudioCodec(string $audioCodec) Set the audio codec, Should be in the available ones, otherwise an exception is thrown |
integer | getAudioSampleRate() Get the audio sample rate |
| setAudioSampleRate(integer $audioSampleRate) Set the audio sample rate |
| getKiloBitrate() {@inheritdoc} |
| setKiloBitrate(int $kiloBitrate) Set the kiloBitrate value |

## Details

###
at line 32
`public string getExtraParams()`

Returns extra parameters for the encoding

#### Return Value

string |

###
at line 40
`public getAudioCodec()`

{@inheritdoc}

###
at line 52
`public setAudioCodec(string $audioCodec)`

Set the audio codec, Should be in the available ones, otherwise an exception is thrown

#### Parameters

string | $audioCodec |

#### Exceptions

InvalidArgumentException |

###
at line 69
`public integer getAudioSampleRate()`

Get the audio sample rate

#### Return Value

integer |

###
at line 80
`public setAudioSampleRate(integer $audioSampleRate)`

Set the audio sample rate

#### Parameters

integer | $audioSampleRate |

#### Exceptions

InvalidArgumentException |

###
at line 94
`public getKiloBitrate()`

{@inheritdoc}

###
at line 105
`public setKiloBitrate(int $kiloBitrate)`

Set the kiloBitrate value

#### Parameters

int | $kiloBitrate | integer $kiloBitrate

#### Exceptions

InvalidArgumentException |